
// MainFrm.h : CMainFrame クラスのインターフェイス
//

#pragma once
#include "ChildView.h"

#include "UdpHolepunching.h"

class CMainFrame : public CFrameWndEx
{
	std::set<boost::shared_ptr<CUdpHolepunching>>	m_setUdpHolepunching;
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// 属性
public:

// 操作
public:

// オーバーライド
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);

// 実装
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // コントロール バー用メンバ
	CMFCMenuBar		m_wndMenuBar;
	CChildView		m_wndView;

// 生成された、メッセージ割り当て関数
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnViewCustomize();
	afx_msg LRESULT OnToolbarCreateNew(WPARAM wp, LPARAM lp);
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnUdpholepunchingServer();
	afx_msg void OnUdpholepunchingClient();
};


